-- Copyright (c) 1994 ARINC Research Corporation
-- From material copyright (c) 1991, 1992 Premia Corporation
--
-- This material may be reproduced by or for the US Government pursuant 
-- to the copyright license under DFAR Clause 252.227-7013 (1988)
--
-- Developed for US Air Force under contract no. F41608-90-D-0544-0005
--
-- MODIFICATIONS
--   94/06 - J. Neuse, SD/OSE/EA  - Initial code
--   94/10 - O. Sluder, SD/OSE/EA - Cleanup

-- *************
-- *           *
-- *  CW_BFEX  *  SPEC
-- *           *
-- *************

package CW_BFEX is

  -- The following pragmas are required by the Meridian OpenAda for
  -- Windows 2.0 compiler in the package spec and body of code to be
  -- included in a DLL, or an application calling the DLL will 
  -- general protection fault
  pragma SUPPRESS (elaboration_check);
  pragma SUPPRESS (storage_check);

  -- ....................
  -- .                  .
  -- .  PosCurrentChar  .  SPEC
  -- .                  .
  -- ....................

  function PosCurrentChar return CHARACTER;

  -- .............
  -- .           .
  -- .  PosInit  .  SPEC
  -- .           .
  -- .............

  function PosInit (offset : in long_integer) return BOOLEAN;

  -- .................
  -- .               .
  -- .  PosNextChar  .  SPEC
  -- .               .
  -- .................

  function PosNextChar return CHARACTER;

  -- .................
  -- .               .
  -- .  PosNextLine  .  SPEC
  -- .               .
  -- .................

  function PosNextLine (Lines : in Long_Integer) return Long_Integer;

  -- .................
  -- .               .
  -- .  PosPrevChar  .  SPEC
  -- .               .
  -- .................

  function PosPrevChar return CHARACTER;

  -- .................
  -- .               .
  -- .  PosPrevLine  .  SPEC
  -- .               .
  -- .................

  function PosPrevLine (Lines : in Long_Integer) return Long_Integer;

  -- ..............
  -- .            .
  -- .  PosQLine  .  SPEC
  -- .            .
  -- ..............

  function PosQLine return Long_Integer;

  -- ................
  -- .              .
  -- .  PosQOffset  .  SPEC
  -- .              .
  -- ................

  function PosQOffset return Long_Integer;

  -- .................
  -- .               .
  -- .  PosSetColor  .  SPEC
  -- .               .
  -- .................

  procedure PosSetColor (color : in integer;
                         count : in long_integer);

  -- .................
  -- .               .
  -- .  BufReadChar  .  SPEC
  -- .               .
  -- .................

  function BufReadChar return CHARACTER;

  -- ................
  -- .              .
  -- .  BufReadStr  .  SPEC
  -- .              .
  -- ................

  procedure BufReadStr (str : in out string);

end CW_BFEX;
