-- Copyright (c) 1994 ARINC Research Corporation
-- From material copyright (c) 1991, 1992 Premia Corporation
--
-- This material may be reproduced by or for the US Government pursuant 
-- to the copyright license under DFAR Clause 252.227-7013 (1988)
--
-- Developed for US Air Force under contract no. F41608-90-D-0544-0005
--
-- MODIFICATIONS
--   94/06 - J. Neuse, SD/OSE/EA  - Initial code
--   94/10 - O. Sluder, SD/OSE/EA - Cleanup

-- *************
-- *           *
-- *  CW_BFOP  *  BODY
-- *           *
-- *************

package body CW_BFOP is

  -- The following pragmas are required by the Meridian OpenAda for
  -- Windows 2.0 compiler in the package spec and body of code to be
  -- included in a DLL, or an application calling the DLL will 
  -- general protection fault
  pragma SUPPRESS (elaboration_check);
  pragma SUPPRESS (storage_check);

  -- ....................
  -- .                  .
  -- .  BufQCurrentCol  .  BODY
  -- .                  .
  -- ....................

  function BufQCurrentCol return LONG_INTEGER is

    -- .......................
    -- .                     .
    -- .  CW_BufQCurrentCol  .  SPEC
    -- .                     .
    -- .......................

    function CW_BufQCurrentCol return LONG_INTEGER;
    pragma INTERFACE (windows, CW_BufQCurrentCol, "BufQCurrentCol");

  begin -- procedure BufQCurrentCol

    return CW_BufQCurrentCol;

  end BufQCurrentCol;

  -- .....................
  -- .                   .
  -- .  BufQCurrentLine  .  BODY
  -- .                   .
  -- .....................

  function BufQCurrentLine return LONG_INTEGER is

    -- ........................
    -- .                      .
    -- .  CW_BufQCurrentLine  .  SPEC
    -- .                      .
    -- ........................

    function CW_BufQCurrentLine return LONG_INTEGER;
    pragma INTERFACE (windows, CW_BufQCurrentLine, "BufQCurrentLine");

  begin -- procedure BufQCurrentLine

    return CW_BufQCurrentLine;

  end BufQCurrentLine;

  -- .................
  -- .               .
  -- .  BufSetAscii  .  BODY
  -- .               .
  -- .................

  procedure BufSetAscii is

    -- ....................
    -- .                  .
    -- .  CW_BufSetAscii  .  SPEC
    -- .                  .
    -- ....................

    procedure CW_BufSetAscii;
    pragma INTERFACE (windows, CW_BufSetAscii, "BufSetAscii");

  begin -- procedure BufSetAscii

    CW_BufSetAscii;

  end BufSetAscii;

  -- ...................
  -- .                 .
  -- .  BufSetCompact  .  BODY
  -- .                 .
  -- ...................

  procedure BufSetCompact is

    -- ......................
    -- .                    .
    -- .  CW_BufSetCompact  .  SPEC
    -- .                    .
    -- ......................

    procedure CW_BufSetCompact;
    pragma INTERFACE (windows, CW_BufSetCompact, "BufSetCompact");

  begin -- procedure BufSetCompact

    CW_BufSetCompact;

  end BufSetCompact;

end CW_BFOP;
