-- Copyright (c) 1994 ARINC Research Corporation
-- From material copyright (c) 1991, 1992 Premia Corporation
--
-- This material may be reproduced by or for the US Government pursuant 
-- to the copyright license under DFAR Clause 252.227-7013 (1988)
--
-- Developed for US Air Force under contract no. F41608-90-D-0544-0005
--
-- MODIFICATIONS
--   94/06 - J. Neuse, SD/OSE/EA  - Initial code
--   94/10 - O. Sluder, SD/OSE/EA - Cleanup

-- *************
-- *           *
-- *  CW_CURS  *  SPEC
-- *           *
-- *************

package CW_CURS is

  -- The following pragmas are required by the Meridian OpenAda for
  -- Windows 2.0 compiler in the package spec and body of code to be
  -- included in a DLL, or an application calling the DLL will 
  -- general protection fault
  pragma SUPPRESS (elaboration_check);
  pragma SUPPRESS (storage_check);

  -- .............
  -- .           .
  -- .  MovDown  .  SPEC
  -- .           .
  -- .............

  function MovDown (lines : in LONG_INTEGER) return BOOLEAN;

  -- ............
  -- .          .
  -- .  MovEOF  .  SPEC
  -- .          .
  -- ............

  function MovEOF return BOOLEAN;

  -- ............
  -- .          .
  -- .  MovEOL  .  SPEC
  -- .          .
  -- ............

  function MovEOL return BOOLEAN;

  -- .............
  -- .           .
  -- .  MovHome  .  SPEC
  -- .           .
  -- .............

  function MovHome return BOOLEAN;

  -- .................
  -- .               .
  -- .  MovPrevChar  .  SPEC
  -- .               .
  -- .................

  function MovPrevChar (chars : in LONG_INTEGER) return BOOLEAN;

  -- ...............
  -- .             .
  -- .  MovTopBuf  .  SPEC
  -- .             .
  -- ...............

  function MovTopBuf return BOOLEAN;

  -- ...........
  -- .         .
  -- .  MovUp  .  SPEC
  -- .         .
  -- ...........

  function MovUp (lines : in LONG_INTEGER) return BOOLEAN;

end CW_CURS;
