-- Copyright (c) 1994 ARINC Research Corporation
-- From material copyright (c) 1991, 1992 Premia Corporation
--
-- This material may be reproduced by or for the US Government pursuant 
-- to the copyright license under DFAR Clause 252.227-7013 (1988)
--
-- Developed for US Air Force under contract no. F41608-90-D-0544-0005
--
-- MODIFICATIONS
--   94/06 - J. Neuse, SD/OSE/EA  - Initial code
--   94/10 - O. Sluder, SD/OSE/EA - Cleanup

with CW_TYPES;
with SYSTEM;

-- *************
-- *           *
-- *  CW_EDIT  *  BODY
-- *           *
-- *************

package body CW_EDIT is

  -- The following pragmas are required by the Meridian OpenAda for
  -- Windows 2.0 compiler in the package spec and body of code to be
  -- included in a DLL, or an application calling the DLL will 
  -- general protection fault
  pragma SUPPRESS (elaboration_check);
  pragma SUPPRESS (storage_check);

  -- .................
  -- .               .
  -- .  BufDelToEOL  .  BODY
  -- .               .
  -- .................

  function BufDelToEOL return INTEGER is

    Return_Int : INTEGER;

    -- ....................
    -- .                  .
    -- .  CW_BufDelToEOL  .  SPEC
    -- .                  .
    -- ....................

    function CW_BufDelToEOL return INTEGER;
    pragma INTERFACE (windows, CW_BufDelToEOL, "BufDelToEOL");

  begin

    Return_Int := CW_BufDelToEOL;
    return Return_Int;

  end BufDelToEOL;

  -- ...................
  -- .                 .
  -- .  BufInsertChar  .  BODY
  -- .                 .
  -- ...................

  procedure BufInsertChar (key : in CHARACTER) is

    -- ......................
    -- .                    .
    -- .  CW_BufInsertChar  .  SPEC
    -- .                    .
    -- ......................

    procedure CW_BufInsertChar (key : in INTEGER);
    pragma INTERFACE (windows, CW_BufInsertChar, "BufInsertChar");

  begin --  procedure BufInsertChar

    CW_BufInsertChar (INTEGER (CHARACTER'POS (key)));

  end BufInsertChar;

end CW_EDIT;
