-- Copyright (c) 1994 ARINC Research Corporation
-- From material copyright (c) 1991, 1992 Premia Corporation
--
-- This material may be reproduced by or for the US Government pursuant 
-- to the copyright license under DFAR Clause 252.227-7013 (1988)
--
-- Developed for US Air Force under contract no. F41608-90-D-0544-0005
--
-- MODIFICATIONS
--   94/06 - J. Neuse, SD/OSE/EA  - Initial code
--   94/10 - O. Sluder, SD/OSE/EA - Cleanup

-- *************
-- *           *
-- *  CW_FLAG  *  BODY
-- *           *
-- *************

package body CW_FLAG is

  -- The following pragmas are required by the Meridian OpenAda for
  -- Windows 2.0 compiler in the package spec and body of code to be
  -- included in a DLL, or an application calling the DLL will 
  -- general protection fault
  pragma SUPPRESS (elaboration_check);
  pragma SUPPRESS (storage_check);

  -- ................
  -- .              .
  -- .  SrchQFlags  .  BODY
  -- .              .
  -- ................

  function SrchQFlags return CW_TYPES.DWORD is

    -- ...................
    -- .                 .
    -- .  CW_SrchQFlags  .  SPEC
    -- .                 .
    -- ...................

    function CW_SrchQFlags return CW_TYPES.DWORD;
    pragma INTERFACE (windows, CW_SrchQFlags, "SrchQFlags");

  begin -- function SrchQFlags

    return CW_SrchQFlags;

  end SrchQFlags;

  -- ..................
  -- .                .
  -- .  SrchSetFlags  .  BODY
  -- .                .
  -- ..................

  function SrchSetFlags (sFlags : in CW_TYPES.DWORD) return CW_TYPES.DWORD is

    -- .....................
    -- .                   .
    -- .  CW_SrchSetFlags  .  SPEC
    -- .                   .
    -- .....................

    function CW_SrchSetFlags (sFlags : in CW_TYPES.DWORD) return CW_TYPES.DWORD;
    pragma INTERFACE (windows, CW_SrchSetFlags, "SrchSetFlags");

  begin -- function SrchSetFlags

    return CW_SrchSetFlags (sFlags);

  end SrchSetFlags;

end CW_FLAG;
